Package org.eclipse.pde.core.build

# Interface IBuild

All Superinterfaces:
  `IWritable`

public interface IBuild extends IWritable
The top-level model object of the model that is created from `build.properties` file.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(IBuildEntry entry)`
Adds a new build entry.
`IBuildEntry[]`
`getBuildEntries()`
Returns all the build entries in this object.
`IBuildEntry`
`getEntry(String name)`
Returns the build entry with the specified name.
`void`
`remove(IBuildEntry entry)`
Removes a build entry.

### Methods inherited from interface org.eclipse.pde.core.IWritable

`write`

## Method Details

### add

void add(IBuildEntry entry) throws CoreException
Adds a new build entry. This method can throw a CoreException if the model is not editable.

Parameters:
  `entry` - an entry to be added
Throws:
  `CoreException` - if the model is not editable

### getBuildEntries

IBuildEntry[] getBuildEntries()
Returns all the build entries in this object.

Returns:
  an array of build entries

### getEntry

IBuildEntry getEntry(String name)
Returns the build entry with the specified name.

Parameters:
  `name` - name of the desired entry
Returns:
  the entry object with the specified name, or `null` if not found.

### remove

void remove(IBuildEntry entry) throws CoreException
Removes a build entry. This method can throw a CoreException if the model is not editable.

Parameters:
  `entry` - an entry to be removed
Throws:
  `CoreException` - if the model is not editable